Subject: bug#23483: 24.5; cygwin emacs w32 doesn not ask to save files when windows shuts down

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 May 2016 21:40:40 +0300

> From: "Strozzi, David J." <[email-masked]>
> Date: Sun, 8 May 2016 13:33:11 +0000
> 
> I am running the Windows 32 native emacs build that is part of cygwin.
> Running on Windows 7. When I shut down windows (from the Start Menu),
> emacs does not ask to save edited files. That means I lose work unless
> I remember to separately quit emancs manually before shutting down.
> Not a big deal, but can it be fixed?

If someone submits patches that listen to system shutdown messages,
and auto-save files when they arrive, this can be fixed.  Patches
welcome.

Thanks.